/*
 * uhub - A tiny ADC p2p connection hub
 * Copyright (C) 2007, Jan Vidar Krey
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef HAVE_UHUB_CONFIG_H
#define HAVE_UHUB_CONFIG_H

struct hub_config
{
	int server_port;
	char* server_bind_addr;
	int server_max_fds;
	int show_banner;
	int max_users;
	int registered_users_only;
	int chat_only;
	char* file_motd;
	char* file_acl;
	char* hub_name;
	char* hub_description;
	int max_recv_buffer;
	int max_send_buffer;
	int max_send_buffer_soft;
};

extern int read_config(const char* file, struct hub_config* config);
extern void free_config(struct hub_config* config);




#endif /* HAVE_UHUB_CONFIG_H */

